Summary: A GNU set of database routines which use extensible hashing
Name: gdbm
Version: 1.23
Release: 4%{?dist}
License: GPLv3+
URL: http://www.gnu.org/software/gdbm/
Source0: http://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz
BuildRequires: gcc libtool gettext readline-devel make
Requires: gdbm-libs = %{version}-%{release}

%description
GNU dbm (or GDBM, for short) is a library of database functions that
use extensible hashing and work similar to the standard UNIX dbm. 
The basic use of GDBM is to store key/data pairs in a data file. 
Each key must be unique and each key is paired with only one data item.
The library provides primitives for storing key/data pairs, searching 
and retrieving the data by its key and deleting a key along with its data. 
It also support sequential iteration over all key/data pairs in a database.
For compatibility with programs using old UNIX dbm function, the package 
also provides traditional dbm and ndbm interfaces.

%package libs
Summary: Libraries files for gdbm

%description libs
Libraries for the Gdbm GNU database indexing library

%package devel
Summary: Development libraries and header files for the gdbm library
Requires: gdbm = %{version}-%{release}
Requires(post): info
Requires(preun): info

%description devel
Gdbm-devel contains the development libraries and header files for
gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

%prep
%autosetup 

%build
%configure \
    --disable-static \
    --disable-largefile \
    --disable-rpath \
    --enable-libgdbm-compat

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

mkdir -p %{buildroot}/%{_includedir}/gdbm
ln -sf ../gdbm.h %{buildroot}/%{_includedir}/gdbm/gdbm.h
ln -sf ../ndbm.h %{buildroot}/%{_includedir}/gdbm/ndbm.h
ln -sf ../dbm.h %{buildroot}/%{_includedir}/gdbm/dbm.h

find %{buildroot} -type f -name "*.la" -delete

rm -f %{buildroot}/%{_infodir}/dir

%find_lang gdbm

%check
export LD_LIBRARY_PATH=`pwd`/src/.libs/:`pwd`/compat/.libs/
make check

%files -f gdbm.lang
%doc NEWS README THANKS AUTHORS NOTE-WARNING
%{_bindir}/gdbm*
%{_mandir}/man1/gdbm*

%files libs
%license COPYING
%{_libdir}/libgdbm.so.6*
%{_libdir}/libgdbm_compat.so.4*

%files devel
%{_libdir}/libgdbm.so
%{_libdir}/libgdbm_compat.so
%{_includedir}/*
%{_infodir}/*.info*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.23-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 11 2022 Wang Zhe <bessiewang@tencent.com> - 1.23-1
- initial build
